%{?mingw_package_header}

%global nativename proj

Name:          mingw-%{nativename}
Version:       4.8.0
Release:       2%{?dist}
Summary:       Cartographic projection software (PROJ.4)

Group:         Applications/Engineering
BuildArch:     noarch
License:       MIT
URL:           http://proj.osgeo.org
Source0:       http://download.osgeo.org/proj/proj-%{version}.tar.gz

BuildRequires: libtool
BuildRequires: mingw32-filesystem >= 95
BuildRequires: mingw64-filesystem >= 95
BuildRequires: mingw32-gcc
BuildRequires: mingw64-gcc


%description
Proj and invproj perform respective forward and inverse transformation of
cartographic data to or from cartesian data with a wide range of selectable
projection functions. Proj docs: http://www.remotesensing.org/dl/new_docs/


%package -n mingw32-%{nativename}
Summary:       Cartographic projection software (PROJ.4)

%description -n mingw32-%{nativename}
Proj and invproj perform respective forward and inverse transformation of
cartographic data to or from cartesian data with a wide range of selectable
projection functions. Proj docs: http://www.remotesensing.org/dl/new_docs/


%package -n mingw32-%{nativename}-static
Summary:       Static libraries for mingw32-%{nativename}
Requires:      mingw32-%{nativename} = %{version}-%{release}

%description -n mingw32-%{nativename}-static
Static libraries for mingw32-%{nativename}.


%package -n mingw64-%{nativename}
Summary:       Cartographic projection software (PROJ.4)

%description -n mingw64-%{nativename}
Proj and invproj perform respective forward and inverse transformation of
cartographic data to or from cartesian data with a wide range of selectable
projection functions. Proj docs: http://www.remotesensing.org/dl/new_docs/


%package -n mingw64-%{nativename}-static
Summary:       Static libraries for mingw64-%{nativename}
Requires:      mingw64-%{nativename} = %{version}-%{release}

%description -n mingw64-%{nativename}-static
Static libraries for mingw64-%{nativename}.


%{?mingw_debug_package}


%prep
%setup -q -n %{nativename}-%{version}


%build
%{mingw_configure}
%{mingw_make} %{?_smp_mflags}


%install
%mingw_make install DESTDIR=%{buildroot}

# Remove libtool archives
rm $RPM_BUILD_ROOT%{mingw32_libdir}/libproj.la
rm $RPM_BUILD_ROOT%{mingw64_libdir}/libproj.la

# Remove inverse program symbolic links
rm $RPM_BUILD_ROOT%{mingw32_bindir}/inv*.exe
rm $RPM_BUILD_ROOT%{mingw64_bindir}/inv*.exe

# Remove unneeded files
rm -R $RPM_BUILD_ROOT%{mingw32_datadir}/*
rm -R $RPM_BUILD_ROOT%{mingw64_datadir}/*


%files -n mingw32-%{nativename}
%doc NEWS AUTHORS COPYING README ChangeLog
%{mingw32_bindir}/libproj-0.dll
%{mingw32_bindir}/*.exe
%{mingw32_libdir}/libproj.dll.a
%{mingw32_libdir}/pkgconfig/proj.pc
%{mingw32_includedir}/*.h

%files -n mingw32-%{nativename}-static
%{mingw32_libdir}/libproj.a

%files -n mingw64-%{nativename}
%doc NEWS AUTHORS COPYING README ChangeLog
%{mingw64_bindir}/libproj-0.dll
%{mingw64_bindir}/*.exe
%{mingw64_libdir}/libproj.dll.a
%{mingw64_libdir}/pkgconfig/proj.pc
%{mingw64_includedir}/*.h

%files -n mingw64-%{nativename}-static
%{mingw64_libdir}/libproj.a


%changelog
* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.8.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Aug 08 2013 Sandro Mani <manisandro@gmail.com> - 4.8.0-1
- Update to 4.8.0
- Remove upstreamed patch
- Also build mingw64 packages
- Add static subpackage
- Modernize spec file

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.6.1-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.6.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed Mar 07 2012 Kalev Lember <kalevlember@gmail.com> - 4.6.1-8
- Renamed the source package to mingw-proj (#801017)
- Modernize the spec file
- Use mingw macros without leading underscore

* Mon Feb 27 2012 Erik van Pienbroek <epienbro@fedoraproject.org> - 4.6.1-7
- Rebuild against the mingw-w64 toolchain

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.6.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.6.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Oct 15 2009 David Ludlow <dave@adsllc.com> - 4.6.1-4
- Don't remove build executables

* Thu Oct 15 2009 David Ludlow <dave@adsllc.com> - 4.6.1-3
- Updates for Fedora packaging

* Wed Sep 9 2009 David Ludlow <dave@adsllc.com> - 4.6.1-2
- Initial creation of mingw32 package
